﻿using Stimulsoft.Report;
using StimulsoftSortingBusinessObjects.Domain;
using StimulsoftSortingBusinessObjects.Reports;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace StimulsoftSortingBusinessObjects
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void button_Click(object sender, RoutedEventArgs e)
		{
			var faktura = new StandardniVydanaFaktura() { Castka = 300, CastkaVMene = 25.5m };

			faktura.PozastavkaVydaneFakturySet.Add(new PozastavkaVydaneFaktury() { Castka = 100, CenySDani = false, DatumSplatnostiPozastavky = DateTime.Today.AddDays(14) });
			faktura.PozastavkaVydaneFakturySet.Add(new PozastavkaVydaneFaktury() { Castka = 200, CenySDani = false, DatumSplatnostiPozastavky = DateTime.Today.AddDays(12) });

			var report = new StiReport();
			report.RegBusinessObject("StandardniVydanaFaktura", new EntityForReport(faktura));
			report.Dictionary.SynchronizeBusinessObjects(4);
			report.DesignWithWpf();
		}
	}
}
